package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.PageBean;
import com.iamberry.wechat.core.entity.questionnaire.QuestionnaireOption;
import com.iamberry.wechat.core.entity.questionnaire.QuestionnairePaper;
import com.iamberry.wechat.core.entity.questionnaire.QuestionnairePaperDto;
import com.iamberry.wechat.core.entity.questionnaire.QuestionnaireQuestion;


/**
 * 营养自测-试卷 mapper
 * @author lc
 * @author Administrator
 *
 */
public interface QuestionnaireOptionMapper {

	
	/**
	 * 根据题目id获取题目选项
	 * @return
	 */
	public List<QuestionnaireOption> getOptionByquestionID(Integer questionID);
	
	
	
	/**
	 * 查询总数
	 * 2016年7月6日
	 * @return
	 */
	public Integer getQuestionnaireOptionCount();
	
}
