<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,member-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/html5.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/respond.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/css/bootstrap.min-3.3.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="http://lib.h-ui.net/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->

<style>
#datainit{
 margin-left:5px;
}

</style>
<title>分销商管理操作</title>
</head>
<body>
<div class="codeView">
			<form action="/iamberry/admin/drp/dealOrder" method="post" class="form form-horizontal" id="form-Validform" novalidate="novalidate">
				<input type="hidden" name="id" value="${placeOrder.id}" ></input>
				<input type="hidden" name="openid" value="${placeOrder.openid}" ></input>
			<!-- 	<input type="hidden" name="postNum" value='2304932943' ></input> -->
				<div class="row cl">
					<label class="form-label col-xs-4 col-sm-3">商品：</label>
					<div class="formControls col-xs-6 col-sm-6">
						<input type="text" value="${placeOrder.productName}" disabled="true"　readOnly="true" class="input-text" name="ProductName" id="ProductName">
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-xs-4 col-sm-3">数量：</label>
					<div class="formControls col-xs-6 col-sm-6">
						<input type="text" class="input-text" disabled="true" value="${placeOrder.productNumber}"　readOnly="true" name="productNumber" id="productNumber">
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-xs-4 col-sm-3">快递公司：</label>
					<div class="formControls col-xs-6 col-sm-6"><span class="select-box">
						<select class="select" name="postFirm" name="postFirm" id="postFirm">
							<c:choose>
								<c:when test="${placeOrder.postFirm=='shentong' }">
									<option value="shentong" selected>申通快递</option>
									<option value="yuantong">圆通快递</option>
									<option value="shunfeng">顺丰快递</option>
									<option value="longbanwuliu">龙邦快递</option>
								</c:when>
								<c:when test="${placeOrder.postFirm=='yuantong' }">
									<option value="shentong" >申通快递</option>
									<option value="yuantong" selected>圆通快递</option>
									<option value="shunfeng">顺丰快递</option>
									<option value="longbanwuliu">龙邦快递</option>
								</c:when>
								<c:when test="${placeOrder.postFirm=='shunfeng' }">
									<option value="shentong" >申通快递</option>
									<option value="yuantong">圆通快递</option>
									<option value="shunfeng" selected>顺丰快递</option>
									<option value="longbanwuliu">龙邦快递</option>
								</c:when>
								<c:when test="${placeOrder.postFirm=='longbanwuliu' }">
									<option value="shentong" selected>申通快递</option>
									<option value="yuantong">圆通快递</option>
									<option value="shunfeng">顺丰快递</option>
									<option value="longbanwuliu" selected>龙邦快递</option>
								</c:when>
								<c:otherwise>
									<option value="shentong" selected>申通快递</option>
									<option value="yuantong">圆通快递</option>
									<option value="shunfeng">顺丰快递</option>
									<option value="longbanwuliu">龙邦快递</option>
								</c:otherwise>
							</c:choose>
						</select>
					</span></div>
				</div>
				
				<div class="row cl">
					<label class="form-label col-xs-4 col-sm-3">快递单号：</label>
					<div class="formControls col-xs-6 col-sm-6">
					<c:choose>
						<c:when test="${placeOrder.status==1 or placeOrder.status==2}">
							<input type="text" class="input-text" name="postNum" id="postNum" datatype="*4-32" placeholder="请输入快递单号" nullmsg="快递单号不能为空！" value="${placeOrder.postNum}"/>
						</c:when>
						<c:otherwise>
						   <input type="text" class="input-text" name="postNum" id="postNum" disabled="true" value="${placeOrder.postNum}"　readOnly="true"  id="postNum" />
						</c:otherwise>
					</c:choose>	
				    </div>
				</div>		
							
				<div class="row cl">
					<label class="form-label col-xs-4 col-sm-3">订单状态：</label>
					<div class="formControls col-xs-6 col-sm-6"> <span class="select-box">
						<select class="select" size="1" name="status">
						
						<c:choose>
							<c:when test="${placeOrder.status==1}">
								<option value=1 selected>等待付款</option>
								<option value=2>已付款</option>
								<option value=3>已发货</option>
							</c:when>
							<c:when test="${placeOrder.status==2}">
								<option value=1>等待付款</option>
								<option value=2 selected>已付款</option>
								<option value=3>已发货</option>
							</c:when>
							<c:when test="${placeOrder.status==3}">
								<option value=1 >等待付款</option>
								<option value=2>已付款</option>
								<option value=3 selected>已发货</option>
							</c:when>
							<c:otherwise>
								<option value=1 selected>等待付款</option>
								<option value=2>已付款</option>
								<option value=3>已发货</option>
							<!-- 	<option value=4 selected>退货</option> -->
							</c:otherwise>
					</c:choose>

						</select>
						</span> </div>
				</div>
				<div class="row cl">
					<label class="form-label col-xs-4 col-sm-3">备注：</label>
					<div class="formControls col-xs-6 col-sm-6">
						<textarea class="textarea" placeholder="说点什么...最少输入10个字符" name="remark" value="${placeWithDrawalsLogs.remark}"  onkeyup="textarealength(this,500)"></textarea>
						<p class="textarea-numberbar"><em class="textarea-length">0</em>/500</p>
					</div>
				</div>
				<div class="row cl">
					<div class="col-xs-8 col-sm-9 col-xs-offset-4 col-sm-offset-3">
					 	 <input class="btn btn-primary" type="submit" value="&nbsp;&nbsp;提交&nbsp;&nbsp;">
					     <input class="btn btn-primary" type="button" onclick="closeWindow()"  value="&nbsp;&nbsp;取消&nbsp;&nbsp;">
					</div>
				</div>
			</form>
		</div>



<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/laypage/1.2/laypage.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/My97DatePicker/WdatePicker.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/datatables/1.10.0/jquery.dataTables.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/Validform/5.3.2/Validform.min.js"></script>
<script type="text/javascript"> 
$(function(){ 
	$(function(){ 
		  $("#form-Validform").Validform({ 
		    tiptype:4, 
		    ajaxPost:true, 
		    callback:function(data){ 
		    	//alert(alert(JSON.stringify(data)));
		      if(data.result=="200"){ 
		        layer.msg(data.message, {icon:data.message,time: 1000}, function(){ 
		        	 var index = parent.layer.getFrameIndex(window.name); //获取窗口索引
		        	 parent.searchInfo();
		       	     parent.layer.close(index); 
		        	 //parent.searchInfo();
		          });  
		      } 
		      else{ 
		        layer.msg(data.message, {icon: data.message,time: 3000}); 
		      } 
		    } 
		  });  
		}); 
  $('#saveInfo').click( function () { 
	  $("#form-Validform").submitForm(false);
  }); 
}); 

//关闭窗口
function closeWindow(){
	  var index = parent.layer.getFrameIndex(window.name); //获取窗口索引
	  parent.layer.close(index);
}


</script> 


</body>
</html>