package com.iamberry.wechat.face.member;

import com.iamberry.wechat.core.entity.member.ShareInfo;

/**
 * 链接分享 Service
 * create date 2016年5月26日
 * @author 穆再兴
 *
 */
public interface ShareInfoService {
	/**
	 * 添加一个
	 * create date 2016年5月26日
	 * @author 穆再兴
	 * @return
	 */
	public int addShareInfo(ShareInfo share);
	
	/**
	 * 根据openid 和用户类型 查询一个分享信息
	 * create date 2016年5月26日
	 * @author 穆再兴
	 * @param shareInfo
	 * @return
	 */
	public ShareInfo getShareInfoByOpenidAndType(ShareInfo shareInfo);
	
	/**
	 * 根据openid 和用户类型 查询一个分享信息
	 * create date 2016年6月3日
	 * @author 穆再兴
	 * @param shareId
	 * @return
	 */
	public ShareInfo getShareInfoById(Integer shareId);
}
