package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.relationship.WdRelation;

/**
 * 微代理层级 mapper
 * 2016年7月4日
 * @author Administrator
 *
 */
public interface WdRelationMapper {
	
	/**
	 * 添加一个微代理层级
	 * 2016年7月4日
	 * @param wdRelation
	 * @return
	 */
	public Integer insertWdRelation(WdRelation wdRelation);
	
	/**
	 * 根据用户openid 查找一个微代理层记录
	 * 2016年7月4日
	 * @param openid
	 * @return
	 */
	public WdRelation getWdRelationByOpenid(String openid);
	
	/**
	 * 根据用户条件 查找微代理层记录list
	 * 2016年7月4日
	 * @param openid
	 * @return
	 */
	public List<WdRelation> getWdRelationByWd(WdRelation wdRelation);
	
	
	
	
}
